> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Playlists API Endpoint

> This API endpoint allows a user to retrieve their existing playlists.



## OpenAPI

````yaml get /api/user/playlists/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/playlists/:
    get:
      tags:
        - api
      summary: Get User Playlists API Endpoint
      description: This API endpoint allows a user to retrieve their existing playlists.
      operationId: get_user_playlists
      parameters:
        - name: content_type_id
          in: query
          schema:
            type: integer
        - name: playlist_name
          in: query
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          description: Successfully retrieved the user playlists
          content:
            application/json:
              schema:
                title: Playlist OpenAPI Schema
                type: array
                items:
                  title: Playlist
                  type: object
                  properties:
                    playlist_id:
                      type: integer
                    disabled:
                      type: boolean
                    playlist_name:
                      type: string
                    font_profile:
                      title: Font Profile
                      type: object
                      properties:
                        font_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        name:
                          type: string
                        path:
                          type: string
                        size:
                          type: integer
                        bold:
                          type: boolean
                        italic:
                          type: boolean
                        underlined:
                          type: boolean
                        strikethrough:
                          type: boolean
                        caption_position:
                          title: Overlay Coordinate
                          type: object
                          properties:
                            coordinate_id:
                              type: integer
                            overlay_visualizer:
                              type: string
                            x:
                              type: string
                            'y':
                              type: string
                          description: Overlay Coordinate OpenAPI Schema
                        caption_style_color:
                          type: string
                        caption_style_stroke_color:
                          type: string
                        caption_style_stroke_thickness:
                          type: integer
                        caption_shadow_x_pos:
                          type: integer
                        caption_shadow_y_pos:
                          type: integer
                        caption_shadow_color:
                          type: string
                        caption_shadow_blur:
                          type: integer
                        caption_lines:
                          type: integer
                        caption_ai_keyword_highlighter:
                          type: boolean
                        caption_ai_keyword_highlighter_color:
                          type: string
                        caption_highlighter:
                          type: boolean
                        caption_highlighter_color:
                          type: string
                        preview_url:
                          type: string
                        preview_bytes:
                          type: string
                          format: binary
                      description: Font Profile OpenAPI Schema
                    media_profile:
                      title: Media Profile
                      type: object
                      properties:
                        media_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        watermark_path:
                          type: string
                        watermark_position:
                          title: Overlay Coordinate
                          type: object
                          properties:
                            coordinate_id:
                              type: integer
                            overlay_visualizer:
                              type: string
                            x:
                              type: string
                            'y':
                              type: string
                          description: Overlay Coordinate OpenAPI Schema
                        end_clip_path:
                          type: string
                        preview_url:
                          type: string
                      description: Media Profile OpenAPI Schema
                    voice_profile:
                      title: Voice Profile
                      type: object
                      properties:
                        voice_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        api_key:
                          type: string
                        region:
                          type: string
                        provider_id:
                          type: string
                        provider_name:
                          type: string
                      description: Voice Profile OpenAPI Schema
                    content_type:
                      title: Content Type
                      type: object
                      properties:
                        content_type_id:
                          type: integer
                        display_name:
                          type: string
                        model_id:
                          type: string
                        description:
                          type: string
                        preview_image:
                          type: string
                        preview_video:
                          type: string
                        active:
                          type: boolean
                      description: Content Type OpenAPI Schema
                    preview_url:
                      type: string
                  description: Playlist OpenAPI Schema
              example:
                - playlist_id: 1
                  disabled: false
                  playlist_name: 'Playlist #1'
                  font_profile:
                    font_profile_id: 1
                    disabled: false
                    profile_name: New Font Profile
                    name: Poppins
                    path: Poppins
                    size: 30
                    bold: false
                    italic: false
                    underlined: false
                    strikethrough: false
                    caption_position:
                      coordinate_id: 0
                      overlay_visualizer: Middle Center
                      x: (main_w-overlay_w)/2
                      'y': (main_h-overlay_h)/2
                    caption_style_color: '#FFFFFF'
                    caption_style_stroke_color: '#000000'
                    caption_style_stroke_thickness: 2
                    caption_shadow_x_pos: 16
                    caption_shadow_y_pos: 14
                    caption_shadow_color: '#000000'
                    caption_shadow_blur: 6
                    caption_lines: 1
                    caption_ai_keyword_highlighter: false
                    caption_ai_keyword_highlighter_color: '#80B8FF'
                    caption_highlighter: true
                    caption_highlighter_color: '#FFFF00'
                    preview_url: null
                  media_profile:
                    media_profile_id: 1
                    disabled: false
                    profile_name: New Media Profile
                    watermark_path: null
                    watermark_position: null
                    end_clip_path: null
                    preview_url: null
                  voice_profile:
                    voice_profile_id: 1
                    disabled: false
                    profile_name: New Voice Profile
                    api_key: api_key
                    region: westus2
                    provider_id: elevenlabs
                    provider_name: ElevenLabs
                  content_type:
                    content_type_id: 1
                    display_name: Default Model (DM)
                    model_id: dm-1.0
                    description: Default model for video creation.
                    preview_image: ''
                    preview_video: ''
                    active: true
                  preview_url: ''
        '400':
          description: Failed to retrieve the playlists or validation errors
          content: {}
        '500':
          description: Failed to retrieve the user playlists
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````